---
title: removeAttrs
svgo:
  pluginId: removeAttrs
  parameters:
    attrs:
      description: A selector that matches attributes.
      default: null
    elemSeparator:
      description: The pattern syntax used by this plugin is `element:attribute:value`, this changes the delimiter from `:` to another string.
      default: ':'
    preserveCurrentColor:
      description: If to ignore the attribute when it's set to `currentcolor`.
      default: false
---

Remove attributes from elements matching a custom syntax.

The format accepted is `[ element* : attribute* : value* ]`, where:

- `element`: A regular expression matching element names. An asterisk or omission matches all elements.
- `attribute`: A regular expression matching attribute names.
- `value`: A regular expression matching attribute values. An asterisk or omission matches all values.

For example, `path:fill` matches all `fill` attributes in `<path>` elements.
